Sabe aquele app que você usa desde o Android Jelly Bean e que não recebe atualizações há anos? Sentimos informar que ele provavelmente vai deixar de funcionar com a chegada do Android P caso não receba um update para a plataforma.

De acordo com informações descobertas por desenvolvedores ao analisar o código da prévia do novo SO, apps agora vão ter requisitos mínimos de API para rodar na plataforma. Caso não atenda essas especificações, o Android P deve exibir a seguinte mensagem:

“Este app foi construído para uma versão mais antiga do Android e pode não funcionar corretamente. Tente checar por atualizações ou contate o desenvolvedor.”

É claro que, apesar de tudo, essa é apenas a versão prévia do Android P e que, como em qualquer plataforma ainda em desenvolvimento, isso pode muito bem ser retirado até a chegada da versão final. Mesmo assim, é melhor se preparar para uma verdadeira “faxina” nos aplicativos da Play Store, visto que eles provavelmente vão ser descartados da loja da Google acaso não sejam atualizados para o novo sistema.